Skip to main content

Langflow V2 Workflow API (1.8.0)

Download OpenAPI specification:Download

Filtered API for Langflow V2 workflow operations (3 endpoints)

Workflow

Execute Workflow

Execute a workflow with support for sync, stream, and background modes

Authorizations:
API key queryAPI key header
Request Body schema: application/json
required
background
boolean (Background)
Default: false
stream
boolean (Stream)
Default: false
flow_id
required
string (Flow Id)
Inputs (object) or Inputs (null) (Inputs)

Component-specific inputs in flat format: 'component_id.param_name': value

Responses

Request samples

Content type
application/json
{
  • "background": false,
  • "flow_id": "flow_67ccd2be17f0819081ff3bb2cf6508e60bb6a6b452d3795b",
  • "inputs": {
    },
  • "stream": false
}

Response samples

Content type
Example
{
  • "flow_id": "string",
  • "job_id": "string",
  • "object": "response",
  • "created_timestamp": "string",
  • "status": "queued",
  • "errors": [ ],
  • "inputs": { },
  • "outputs": { }
}

Get Workflow Status

Get status of workflow job by job ID

Authorizations:
API key queryAPI key header
query Parameters
Job Id (string) or Job Id (string) or Job Id (null) (Job Id)

Job ID to query

Responses

Response samples

Content type
Example
{
  • "flow_id": "string",
  • "job_id": "string",
  • "object": "response",
  • "created_timestamp": "string",
  • "status": "queued",
  • "errors": [ ],
  • "inputs": { },
  • "outputs": { }
}

Stop Workflow

Stop a running workflow execution

Authorizations:
API key queryAPI key header
Request Body schema: application/json
required
required
Job Id (string) or Job Id (string) (Job Id)
Any of
string (Job Id)

Responses

Request samples

Content type
application/json
{
  • "job_id": "string"
}

Response samples

Content type
application/json
{
  • "job_id": "string",
  • "message": "string"
}
Search